Package org.jboss.resteasy.plugins.providers.html

## Class HtmlServletDispatcher

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.jboss.resteasy.plugins.server.servlet.HttpServletDispatcher
      - - org.jboss.resteasy.plugins.providers.html.HtmlServletDispatcher

- All Implemented Interfaces:
    `Serializable`, `javax.servlet.Servlet`, `javax.servlet.ServletConfig`, `HttpRequestFactory`, `HttpResponseFactory`

      public class HtmlServletDispatcher
      extends HttpServletDispatcher

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jboss.resteasy.plugins.server.servlet.HttpServletDispatcher

      `servletContainerDispatcher`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HtmlServletDispatcher()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected HttpResponse` | `createServletResponse​(javax.servlet.http.HttpServletResponse response, javax.servlet.http.HttpServletRequest request)` |

    - ### Methods inherited from class org.jboss.resteasy.plugins.server.servlet.HttpServletDispatcher

      `createHttpRequest, createResteasyHttpRequest, createResteasyHttpResponse, destroy, getDispatcher, init, service, service`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HtmlServletDispatcher

          public HtmlServletDispatcher()

  - ### Method Detail

    - #### createServletResponse

          protected HttpResponse createServletResponse​(javax.servlet.http.HttpServletResponse response,
                                                       javax.servlet.http.HttpServletRequest request)

      Overrides:
        `createServletResponse` in class `HttpServletDispatcher`